package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.generic.IFNE;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IFEQ extends IfInstruction {
  IFEQ() {}
  
  public IFEQ(InstructionHandle target) {
    super((short)153, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIFEQ(this);
  }
  
  public IfInstruction negate() {
    return new IFNE(getTarget());
  }
}
